using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;

namespace CVS_AndComboColumn
{
	/// <summary>
	/// Interaction logic for MainWindow.xaml
	/// </summary>
	public partial class MainWindow : Window
	{
		public MainWindow()
		{
			InitializeComponent();
			CollectionViewSource source = new CollectionViewSource();
			source.Source = new[] {"USA","Canada","Italy" };


			List<Location> locations = new List<Location>();
			locations.Add(new Location() { Country = "USA" });
			locations.Add(new Location() { Country = "USA" });
			locations.Add(new Location() { Country = "USA" });
			locations.Add(new Location() { Country = "USA" });

		    ((GridViewComboBoxColumn)this.RadGridView1.Columns[0]).ItemsSource = source.View;

			this.RadGridView1.ItemsSource = locations;

		}

		public class Location
		{
			public string Country { get; set; }
		}
	}
}
